org.apache.ignite.internal.visor.tx

## Class TxVerboseKey

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.tx.TxVerboseKey

All Implemented Interfaces:
  Externalizable, Serializable

    public class TxVerboseKey
    extends IgniteDataTransferObject

Encapsulates info about transaction key and its lock ownership for --tx --info output.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`TxVerboseKey()` Default constructor.
`TxVerboseKey(String txKey, TxKeyLockType lockType, GridCacheVersion ownerVer, boolean read)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TxKeyLockType` `lockType()`
`GridCacheVersion` `ownerVersion()`
`boolean` `read()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`String` `txKey()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxVerboseKey

    public TxVerboseKey()

Default constructor.

#### TxVerboseKey

    public TxVerboseKey(String txKey,
                        TxKeyLockType lockType,
                        GridCacheVersion ownerVer,
                        boolean read)

Parameters:
  `txKey` - Tx key.
  `lockType` - Lock type.
  `ownerVer` - Owner version.
  `read` - Read.

### Method Detail

#### txKey

    public String txKey()

Returns:
  Tx key.

#### lockType

    public TxKeyLockType lockType()

Returns:
  Lock type.

#### ownerVersion

    public GridCacheVersion ownerVersion()

Returns:
  Owner version.

#### read

    public boolean read()

Returns:
  Read.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022